| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Protocols
Protocols.SNMP
Protocols.SNMP.protocol

# Method Protocols.SNMP.protocol()->get_request()

Method get_request

  `int get_request(array(string) varlist, string|void rem_addr, int|void rem_port)`

Description

  GetRequest-PDU call

Parameter `varlist`

  an array of OIDs to GET

Parameter `rem_addr`
Parameter `rem_port`

  remote address an UDP port to send request to (optional)

Returns

  request ID